import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { DashboardRoutingModule } from './dashboard-routing.module';
import { DashboardComponent } from './dashboard.component';
import { SharedModule } from '@shared/shared.module';
import { PayslipComponent } from './payslip/payslip.component';
import { MessageComponent } from './message/message.component';
import { TodayMeetingsComponent } from './today-meetings/today-meetings.component';
import { TodayTasksComponent } from './today-tasks/today-tasks.component';
import { ToDoComponent } from './to-do/to-do.component';
import { CalenderComponent } from './calender/calender.component';
import { CompanyDashboardComponent } from './company-dashboard/company-dashboard.component';
import { ProjectComponent } from './company-dashboard/project/project.component';
import { TeamsComponent } from './company-dashboard/teams/teams.component';
import { MeetingsComponent } from './company-dashboard/meetings/meetings.component';
import { CompanyToDoComponent } from './company-dashboard/company-to-do/company-to-do.component';

@NgModule({
  declarations: [
    DashboardComponent,
    PayslipComponent,
    MessageComponent,
    TodayMeetingsComponent,
    TodayTasksComponent,
    ToDoComponent,
    CalenderComponent,
    CompanyDashboardComponent,
    ProjectComponent,
    TeamsComponent,
    MeetingsComponent,
    CompanyToDoComponent,
  ],
  imports: [CommonModule, DashboardRoutingModule, SharedModule],
})
export class DashboardModule {}
